> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/disk-snapshot/cancelautosnapshotpolicy.md).

# CancelAutoSnapshotPolicy

## 1. API Description

This API (CancelAutoSnapshotPolicy) is used to remove one or more disks from a snapshot schedule.

{% hint style="info" %}
**Notes**

* If the specified disk is not under this snapshot schedule in the first place, the call does not report an error and is regarded as having reached the target status.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name       | Required | Type            | Description                                                                                                                                                                   |
| -------------------- | -------- | --------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| autoSnapshotPolicyId | Yes      | String          | <p>Snapshot schedule ID.</p><p>It can be obtained by calling <a href="/api-reference/zec/disk-snapshot/describeautosnapshotpolicies.md">DescribeAutoSnapshotPolicies</a>.</p> |
| diskIds              | Yes      | Array of String | <p>ID list of the disks to be removed.</p><p>It can be obtained by calling <a href="/api-reference/zec/disk/describedisks.md">DescribeDisks</a>.</p>                          |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Detach disks from the snapshot schedule.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CancelAutoSnapshotPolicy
<Common Request Params>

Request：
{
  "autoSnapshotPolicyId": "<autoSnapshotPolicyId>",
  "diskIds": [
    "<diskId>"
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                  | Description                           |
| ---------------- | ------------------------------------------- | ------------------------------------- |
| 404              | INVALID\_AUTO\_SNAPSHOT\_POLICY\_NOT\_FOUND | The snapshot schedule does not exist. |
